---
source: https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/Data_URLs
obj: concept
---

# Data URLs

**Data URLs**, URLs prefixed with the `data:` scheme, allow content creators to embed small files inline in documents.

## Syntax
Data URLs are composed of four parts: a prefix (`data:`), a [MIME](../files/MIME.md)-type indicating the type of data, an optional `base64` token if non-textual, and the data itself:
`data:[<mediatype>][;base64],<data>`

The `mediatype` is a [MIME](../files/MIME.md) type string, such as `'image/jpeg'` for a JPEG image file. If omitted, defaults to `text/plain;charset=US-ASCII`

The image below is actually a data url:
![image](data:image/png;base64,[encoded data, 16844 characters])
